EDIT - bug #10192

External Links do not work in E+M
11/28/2022 12:07 PM - Andreas Mdller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 60%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.35

Severity: major Found in Version:

Description

NaK:

die Externen Such-Links aus E+M funktionieren teilweise nicht, hinter dem Taxon-Namen bleibt immer ein Anfihrungszeichen und
eine Klammer stehen.

Dianthus barbatus')

Related issues:
Related to EDIT - task #9689: External Links Module: Tests implemented New
Related to EDIT - task #9659: External Links Module reimplemented for flexibl... Closed

Associated revisions

Revision 38db2a51 - 11/30/2022 09:53 AM - Katja Luther

ref #10192: remove javascript call and add attribute to open external link in new tab

History

#1 - 11/28/2022 12:13 PM - Andreas Miiller
- Related to task #9689: External Links Module: Tests implemented added

#2 - 11/28/2022 12:13 PM - Andreas Miiller
- Related to task #9659: External Links Module reimplemented for flexible configuration added

#3 - 11/29/2022 12:48 PM - Katja Luther

- Status changed from New to In Progress

The problem comes from the call of "drupal_strip_dangerous_protocols("JavaScript:popupExternalLinks('url'))" inside I(...), this call results in removing
everything in front of the colon, but the ™)" still at the end of the link. This additional security issue came with the drupal update (
https://www.drupal.org/node/3307791).

| could remove "JavaScript:popupExternalLinks..." because it is removed anyway by the function, mentioned above. Otherwise we could add
javascript to the allowed protocols or find another way to create the link without calling I().

#4 - 11/30/2022 10:02 AM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

| removed the javascript call and add the attribute to open the link in a new tab. Please review.

#5 - 12/14/2022 11:04 AM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Katja Luther

- % Done changed from 0 to 60

How can | test this? It is not yet pushed to production, or? And on test the updates are not yet installed as far as | remember. Is there an example on
integration?
https://www.drupal.org/node/3307791

#6 - 12/16/2022 01:14 PM - Katja Luther

Andreas Muller wrote in #note-5:

How can | test this? It is not yet pushed to production, or? And on test the updates are not yet installed as far as | remember. Is there an
example on integration?

For example here:

#7 - 12/16/2022 01:14 PM - Katja Luther

- Assignee changed from Katja Luther to Andreas Mdiller

#8 - 12/16/2022 01:54 PM - Andreas Miiller

- Assignee changed from Andreas Muiller to Katja Luther

It works now, but it changed from using popups to opening a new tab which is maybe not wanted (there might be a reason why we were using
popups). We should ask users if this is accepted behavior before closing this ticket.

#9 - 12/19/2022 11:58 AM - Katja Luther
- Status changed from Feedback to Closed

The answers of the users were all that the new solution is ok or even better, so we can close this ticket.
https://int.e-taxonomy.eu/dataportal/integration/reference/cdm_dataportal/taxon/a5320b13-d1bf-4fbc-93bc-b76eafa6da92
